Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14638

Description

As of:

commit 0498c955469effadc6691032b65d663821cf5bf1

Author: VKa <victor.axbom@gmail.com>

Date:   Wed Jan 4 11:28:27 2012 +0100

The postgis provider assumes spatial tables have OIDs, and also always start selects with a comma (SELECT ,asbinary).

Associated revisions

Revision 2b739d94 - 2012-01-11 07:26 PM - Jürgen Fischer

postgres provider:

- base geometrytype filtering on GeometryType not WkbType

- use tooltips on dataitems

- fix #4783

- adapt #4767

History

#1 - 2012-01-11 09:31 AM - Sandro Santilli

I would add that the user has no feedback of the problem and simply doesn't see the geometries on stage.

1.7.4 opens the same table just fine.

17:36 < strk> Result: 7 (ERROR:  column "oid" does not exist

17:36 < strk> LINE 1: ...isf0 BINARY CURSOR FOR SELECT asbinary("g",'NDR'),oid FROM "...

17:37 < strk> pgis 1.4, table structure:

17:37 < strk>  id     | integer  | not null default nextval('zm_id_seq'::regclass)

17:37 < strk>  g      | geometry |

17:37 < strk> no primary keys

17:37 < strk> no user feedback warning about that

17:37 < strk> same table can be opened with 1.7

2024-04-10 1/2



#2 - 2012-01-11 10:26 AM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed in changeset commit:"2b739d945d90d31b11561f0ca3938706b4162ebf".
